Bug 64686 - (SCSI AIC7XXX)loading aic7xxx module on boot hangs
(SCSI AIC7XXX)loading aic7xxx module on boot hangs
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-09 12:45 EDT by Tom
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 22:17:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of LSPCI (1.15 KB, text/plain)
2002-05-20 22:32 EDT, Tom
no flags Details

  None (edit)
Description Tom 2002-05-09 12:45:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I have a Dell PowerEdge 4600 that came with 7.2 preinstalled. I upgraded to
Valhalla (7.3). On Boot (2.4.18-3smp), the system hangs at "Loading AIC 7xxx
module".

On another system, I noticed a long timeout on loading this module BUT
eventually the system loaded (about 1 minute).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot rh 7.3 on a dell poweredge 4600
	

Actual Results:  hung on loading aic7xxx module

Expected Results:  should have continued the boot process (like under 7.2)

Additional info:
Comment 1 Tom 2002-05-09 12:50:18 EDT
Sorry, forgot to mention that system boots normally under 2.4.18-3, it only
locks up on the SMP kernel.
Comment 2 Tom 2002-05-09 12:55:08 EDT
One more clarification, the other system that I mention also pauses on the
aic7xxx load is an SMP machine as well.
Comment 3 Doug Ledford 2002-05-16 17:12:29 EDT
If you edit the /etc/modules.conf file so that it uses the aic7xxx_old driver
instead of the aic7xxx and then rebuild your initrd images (and rerun lilo if
using lilo as your boot loader), does the problem go away?
Comment 4 Tom 2002-05-20 10:17:48 EDT
Yes, if I use aic7xxx_old, it works as expected. (Sorry for the late followup)
Comment 5 Doug Ledford 2002-05-20 16:47:00 EDT
I'm adding Justin Gibbs from Adaptec to the Cc: list on this bug report.  Since
it's an SMP specific issue, and one involving his driver, he may have a better
idea what's going on.  Tom, can I have you attach an lspci listing from your
machine to this bug report?
Comment 6 Tom 2002-05-20 22:32:33 EDT
Created attachment 58051 [details]
Output of LSPCI
Comment 7 Dave Jones 2003-12-16 22:17:00 EST
>18 months of inactivity, many erratas later.. closing due to pending EOL.

Note You need to log in before you can comment on or make changes to this bug.